Jump to content
funtoo forums
  • 0
Sign in to follow this  
PeGa!

netcat is blocking netcat6

Question

Hi guys,

I've got installed in my system w3af, which as netcat as a dependency.

 

Now I need to install libvirt which has as a RDEPEND netcat6. This causes the following blockage:

net-analyzer/netcat ("net-analyzer/netcat" is blocking net-analyzer/netcat6-1.0-r2)

netcat6 isn't supposed to be tied to an ipv6 USE? Anyway, is there any way to make this two packages coexist?

 

Thanks in advance!

 

Share this post


Link to post
Share on other sites

3 answers to this question

Recommended Posts

  • 0

j-g-, I posted in that way because the output *really* said nothing. For the sanity of the post, Here's the complete output:

# emerge -vat libvirt
These are the packages that would be merged, in reverse order:
Calculating dependencies... done!
[ebuild N ] app-emulation/libvirt-1.2.6:0/1.2.6 USE="caps fuse libvirtd macvtap nls policykit qemu udev vepa -audit -avahi -firewalld -iscsi -lvm -lxc -nfs -numa -openvz -parted -pcap -phyp -rbd -sasl (-selinux) -systemd -uml -virt-network -virtualbox -xen" 28,659 kB
[ebuild N ] app-emulation/qemu-2.1.0 USE="aio alsa bluetooth caps curl fdt filecaps gtk jpeg ncurses nls opengl pin-upstream-blobs png python sdl seccomp threads usb usbredir uuid vhost-net vnc xattr -accessibility -debug -glusterfs -infiniband -iscsi -lzo -nfs -numa -pulseaudio -rbd -sasl (-selinux) -smartcard -snappy -spice -ssh -static -static-softmmu -static-user -systemtap -tci {-test} -tls -vde -virtfs -xen -xfs" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="i386 x86_64 -aarch64 -alpha -arm -cris -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -or32 -ppc -ppc64 -ppcemb -s390x -sh4 -sh4eb -sparc -sparc64 -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="i386 x86_64 -aarch64 -alpha -arm -armeb -cris -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -or32 -ppc -ppc64 -ppc64abi32 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -unicore32" 23,012 kB
[ebuild NS ] x11-libs/vte-0.36.3:2.90 [0.28.2-r206:0] USE="-debug -glade -introspection" 0 kB
[ebuild N ] dev-libs/yajl-2.0.4-r3 USE="-static-libs" 81 kB
[ebuild N ] net-analyzer/netcat6-1.0-r2 USE="bluetooth nls -ipv6" 259 kB
[ebuild N ] app-text/xhtml1-20020801-r4 227 kB
[nomerge ] app-emulation/qemu-2.1.0 USE="aio alsa bluetooth caps curl fdt filecaps gtk jpeg ncurses nls opengl pin-upstream-blobs png python sdl seccomp threads usb usbredir uuid vhost-net vnc xattr -accessibility -debug -glusterfs -infiniband -iscsi -lzo -nfs -numa -pulseaudio -rbd -sasl (-selinux) -smartcard -snappy -spice -ssh -static -static-softmmu -static-user -systemtap -tci {-test} -tls -vde -virtfs -xen -xfs" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="i386 x86_64 -aarch64 -alpha -arm -cris -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -or32 -ppc -ppc64 -ppcemb -s390x -sh4 -sh4eb -sparc -sparc64 -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="i386 x86_64 -aarch64 -alpha -arm -armeb -cris -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -or32 -ppc -ppc64 -ppc64abi32 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -unicore32" 
[ebuild N ] sys-firmware/ipxe-1.0.0_p20130925 USE="qemu usb -iso -undi -vmware" 2,188 kB
[nomerge ] app-emulation/libvirt-1.2.6:0/1.2.6 USE="caps fuse libvirtd macvtap nls policykit qemu udev vepa -audit -avahi -firewalld -iscsi -lvm -lxc -nfs -numa -openvz -parted -pcap -phyp -rbd -sasl (-selinux) -systemd -uml -virt-network -virtualbox -xen" 
[ebuild N ] net-libs/libtirpc-0.2.5 USE="-ipv6 -kerberos -static-libs" 458 kB
[nomerge ] app-emulation/qemu-2.1.0 USE="aio alsa bluetooth caps curl fdt filecaps gtk jpeg ncurses nls opengl pin-upstream-blobs png python sdl seccomp threads usb usbredir uuid vhost-net vnc xattr -accessibility -debug -glusterfs -infiniband -iscsi -lzo -nfs -numa -pulseaudio -rbd -sasl (-selinux) -smartcard -snappy -spice -ssh -static -static-softmmu -static-user -systemtap -tci {-test} -tls -vde -virtfs -xen -xfs" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="i386 x86_64 -aarch64 -alpha -arm -cris -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -or32 -ppc -ppc64 -ppcemb -s390x -sh4 -sh4eb -sparc -sparc64 -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="i386 x86_64 -aarch64 -alpha -arm -armeb -cris -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -or32 -ppc -ppc64 -ppc64abi32 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -unicore32" 
[ebuild N ] sys-firmware/vgabios-0.7a-r1 USE="-binary -debug" 1,474 kB
[ebuild N ] sys-devel/dev86-0.16.21 701 kB
[ebuild N ] sys-libs/libseccomp-2.1.1 USE="-static-libs" 111 kB
[ebuild N ] sys-firmware/seabios-1.7.5 USE="binary" 603 kB
[ebuild N ] sys-apps/usbredir-0.7 USE="-static-libs" 310 kB
[ebuild N ] sys-firmware/sgabios-0.1_pre8 30 kB
[ebuild N ] sys-apps/dtc-1.4.0 USE="-static-libs" 103 kB
[nomerge ] app-emulation/libvirt-1.2.6:0/1.2.6 USE="caps fuse libvirtd macvtap nls policykit qemu udev vepa -audit -avahi -firewalld -iscsi -lvm -lxc -nfs -numa -openvz -parted -pcap -phyp -rbd -sasl (-selinux) -systemd -uml -virt-network -virtualbox -xen" 
[ebuild N ] app-misc/scrub-2.5.2 158 kB 
[blocks B ] net-analyzer/netcat ("net-analyzer/netcat" is blocking net-analyzer/netcat6-1.0-r2)
Total: 16 packages (15 new, 1 in new slot), Size of downloads: 58,367 kB 
Conflict: 1 block (1 unsatisfied)Error: The above package list contains packages which cannot beinstalled at the same time on the same system.(net-analyzer/netcat-110-r9::gentoo, installed) pulled in by 
net-analyzer/netcat required by @selected
(net-analyzer/netcat6-1.0-r2::gentoo, ebuild scheduled for merge) pulled in by 
>=net-analyzer/netcat6-1.0-r2 required by (app-emulation/libvirt-1.2.6::gentoo, ebuild scheduled for merge)
For more information about Blocked Packages, please refer to the following 
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Here's the answer in the bugtracker: https://bugs.funtoo.org/browse/FL-1491?focusedCommentId=18018&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-18018

 

Now libvirt seems to merge fine (still compiling, but no errors so far).

 

Thank you!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...